Subject: Re: [X2Go-Dev] Bug#1502: macOS X2GoClient keyboard map updates crash specific server applications, spike server CPU usage

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 3 Nov 2020 07:30:09 +0100

Thanks for the patch. Keyboard on MacOS is special. As I do not have/know
MacOS I don't know why it was implemented that way.

What happens if you change the MacOS keyboard while a session is running?

Uli

Yearke, Thomas <[email-masked]> schrieb am Di., 3. Nov. 2020, 01:45:

> Package: x2goclient
> Version: 4.1.2.2
> Tag: patch
>
> When the macOS version of X2GoClient is connected to a server, it updates
> the session's keyboard map every 10 seconds. Depending on how other
> programs running on the server respond to keyboard map changes, the
> repeated updates can cause brief CPU usage spikes or (in the case of one of
> our applications) they can cause freezes and crashes.
>
> The attached patch modifies the macOS client to only run the keyboard map
> update once on session startup. Testing done on my devices showed that this
> change resolved the issue without introducing noticeable side effects.
> However, I was not able to find the reason why the keyboard map is being
> updated regularly, so this may (re)introduce a problem I'm not aware of.
>
> Client OS: macOS 10.14.6
> Client Software: X2GoClient 4.1.2.2
> Server OS: CentOS 7.8
> Server Desktop Environment: XFCE 4
> Server x2goserver Version: 4.1.0.3
> Server x2goserver-xsession Version: 4.1.0.3
> Server nxagent Version: 3.5.99.24
>
> Thank you for your consideration!
>
> Tom Yearke
> Software Engineer
> Science and Engineering Node Services
> University at Buffalo
>
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev
>